# Uses of Enum Class
com.google.protobuf.DescriptorProtos.FieldOptions.OptionRetention

Packages that use DescriptorProtos.FieldOptions.OptionRetention
Package
Description
com.google.protobuf

## Uses of DescriptorProtos.FieldOptions.OptionRetention in com.google.protobuf

Methods in com.google.protobuf that return DescriptorProtos.FieldOptions.OptionRetention
Modifier and Type
Method
Description
`static DescriptorProtos.FieldOptions.OptionRetention`
DescriptorProtos.FieldOptions.OptionRetention.`forNumber(int value)`
`DescriptorProtos.FieldOptions.OptionRetention`
DescriptorProtos.FieldOptions.Builder.`getRetention()`
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`
`DescriptorProtos.FieldOptions.OptionRetention`
DescriptorProtos.FieldOptions.`getRetention()`
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`
`DescriptorProtos.FieldOptions.OptionRetention`
DescriptorProtos.FieldOptionsOrBuilder.`getRetention()`
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`
`static DescriptorProtos.FieldOptions.OptionRetention`
DescriptorProtos.FieldOptions.OptionRetention.`valueOf(int value)`
Deprecated.
`static DescriptorProtos.FieldOptions.OptionRetention`
DescriptorProtos.FieldOptions.OptionRetention.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.FieldOptions.OptionRetention`
DescriptorProtos.FieldOptions.OptionRetention.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.FieldOptions.OptionRetention[]`
DescriptorProtos.FieldOptions.OptionRetention.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.google.protobuf that return types with arguments of type DescriptorProtos.FieldOptions.OptionRetention
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<DescriptorProtos.FieldOptions.OptionRetention>`
DescriptorProtos.FieldOptions.OptionRetention.`internalGetValueMap()`
Methods in com.google.protobuf with parameters of type DescriptorProtos.FieldOptions.OptionRetention
Modifier and Type
Method
Description
`DescriptorProtos.FieldOptions.Builder`
DescriptorProtos.FieldOptions.Builder.`setRetention(DescriptorProtos.FieldOptions.OptionRetention value)`
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`